<template>
  <div class="eContainer">
  <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
  <!-- <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick"> -->
  
      <!-- <el-tab-pane label="费用收益" name="ExpenseIncome"> -->
          <m-ExpenseIncome :model="model" :codes="codes"/>
      <!-- </el-tab-pane> -->
  
  <!-- </c-tabs> -->
  </el-form> 
  </div>  
</template>

<script>
import commonProcess from "~/mixin/commonProcess"
import CodeTable from "~/config/CodeTable"

import ExpenseIncome from "./ExpenseIncome"

export default {
    name:"Expben",
    components:{
        "m-ExpenseIncome" : ExpenseIncome,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [commonProcess], 
    data(){
        return {
            tabVal: "ExpenseIncome",
            trnName: "expenseIncome",
            model: null,
            rules:null,
            codes: {...CodeTable},
        };
    },

    methods:{
        tabClick(){
        }
    },

    created:async function(){
        console.log("进入费用收益")       
    }
    


}

</script>

<style>

</style>